%define apachedir /etc/httpd
%define apacheuser apache
%define apachegroup apache
%define contentdir /usr/share

Summary: The Horde contact management application.
Name: turba-h3
Version: 2.1.7
Release: 1%{dist}
License: GPL
Group: Applications/Internet
Source: ftp://ftp.horde.org/pub/turba/tarballs/turba-h3-%{version}.tar.gz
#Source1: turba.conf
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
AutoReq: no
BuildRequires:  gettext
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.0
Requires: mysql-server >= 3.23
Prereq: /usr/bin/perl
Obsoletes: turba
Provides: turba = %{version}-%{release}

%description
Turba is the Horde contact management application, which allows access
to and storage of personal contacts (including name, email address,
phone number, and other easily customizable fields).  Turba integrates
with IMP (Horde's webmail application) as its address book.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Turba)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
#cp -p $RPM_SOURCE_DIR/turba.conf $RPM_BUILD_ROOT%{apachedir}/conf.d
mkdir -p $RPM_BUILD_ROOT%{contentdir}/horde/turba
cp -pR * $RPM_BUILD_ROOT%{contentdir}/horde/turba
cd $RPM_BUILD_ROOT%{contentdir}/horde/turba/config
for d in *.dist; do
    d0=`basename $d .dist`
    if [ ! -f "$d0" ]; then
        cp -p $d $d0
    fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post

%postun

%files
%defattr(-,root,root)
# Apache turba.conf file
#%config %{apachedir}/conf.d/turba.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/horde/turba
# Include top-level files by hand
%{contentdir}/horde/turba/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/horde/turba/themes
%{contentdir}/horde/turba/lib
%{contentdir}/horde/turba/locale
%{contentdir}/horde/turba/po
%{contentdir}/horde/turba/scripts
%{contentdir}/horde/turba/templates
# Mark documentation files with %doc and %docdir
#%doc %{contentdir}/horde/turba/COPYING
%doc %{contentdir}/horde/turba/LICENSE
%doc %{contentdir}/horde/turba/README
%docdir %{contentdir}/horde/turba/docs
%{contentdir}/horde/turba/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/horde/turba/config
%defattr(640,root,%{apachegroup})
%{contentdir}/horde/turba/config/.htaccess
%{contentdir}/horde/turba/config/*.dist
%config(noreplace) %{contentdir}/horde/turba/config/*.php
%config(noreplace) %{contentdir}/horde/turba/config/*.xml

%changelog
* Sun Mar  9 2008 Johnny Hughes <johnny@centos.org> turba-h3-2.1.7.el5.centos
- upgraded to upsream version 2.1.7

* Tue Oct 16 2007 Johnny Hughes <johnny@centos.org> turba-h3-2.1.5.el5.centos
- upgraded to upsream version 2.1.5

* Fri Jul 20 2007 Johnny Hughes <johnny@centos.org> turba-h3-2.1.4.el5.centos
- built for CentOS-5

* Fri Jul 20 2007 Johnny Hughes <johnny@centos.org> turba-h3-2.1.4.c4
- upgraded to upstream version 2.1.4

* Tue Nov 14 2006 Johnny Hughes <johnny@centos.org> turba-h3-2.1.3.c4
- upgraded to upstream version 2.1.3

* Wed Aug 16 2006 Johnny Hughes <johnny@centos.org> turba-h3-2.1.2c4
- upgraded to upstream version 2.1.2
- changed config files from %config to %config(noreplace)

* Tue Apr 11 2006 Johnny Hughes <johnny@centos.org> turba-h3-2.1.c4
- upgraded to upstream version 2.1

* Mon Dec 12 2005 Johnny Hughes <johnny@centos.org> turba-h3-2.0.5-1.centos4
- upgraded to upstream version 2.0.5
  see this link: http://marc.theaimsgroup.com/?l=horde-announce&m=113433120829232&w=2

* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> turba-h3-2.0.4-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)

* Thu Mar 31 2005 Greg Swallow <gregswallow@skynetonline.ca>
- [2.0.2-7sme01]
- renamed to turba-h3
- Update for turba-h3-2.0.2 on SME 7

* Tue Aug 31 2004 Shad L. Lords <slords@mail.com>
- [1.2-2sme01]
- Update specfile - change apache to httpd in requires

* Thu May 6 2004 Michael Soulier <michael_soulier@mitel.com>
- [1.2-1es01]
- Patched to remove braindead String class reference. [MN00025049]

* Wed Apr 23 2003 Gordon Rowell <gordon_rowell@mitel.com>
- [1.2-1es00]
- Rebuild [gordonr 7694]

* Wed Mar 12 2003 Dan Brown <dan@familybrown.org>
- [1.2-1es]
- Rebuilding with Turba 1.2

* Wed May 22 2002 Charlie Brady <charlieb@e-smith.com>
- [1.0-6es]
- Rebuilding in-house. Change Vendor and Packager tags. no other change,

* Fri Mar  8 2002 Dan Brown <dan@familybrown.org> 1.0-5es
- changed Apache dependency to >= 1.3.19

* Tue Feb 12 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 4es
- http://cvs.horde.org/diff.php/turba/lib/api.php?r1=1.14.2.3&r2=1.14.2.4&ty=u
- patch to fix errors adding contacts

* Mon Feb 11 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 3es
- changed turba.sql to run CREATE TABLE IF NOT EXISTS

* Sun Feb 10 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 2es
- removed httpd restart--it's giving errors on SME 5.1.2, and
  it's handled by the e-smith-horde RPM

* Sat Feb 09 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 1es
- changed apache user, group, and content directory

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1

* Mon Dec 24 2001 Brent J. Nordquist <bjn@horde.org>
- 1.0-RC4 release 1

* Sun Dec 16 2001 Brent J. Nordquist <bjn@horde.org>
- initial RPM for Turba 1.0
